package com.dd.admin.business.webSocket.controller;

import cn.stylefeng.guns.base.shiro.ShiroUser;
import cn.stylefeng.guns.core.websocket.Mapper.WsMapper;
import cn.stylefeng.guns.core.websocket.model.LayimFriend;
import cn.stylefeng.guns.core.websocket.model.LayimInit;
import cn.stylefeng.guns.core.websocket.model.LayimUser;
import cn.stylefeng.guns.sys.core.shiro.ShiroKit;
import cn.stylefeng.roses.core.reqres.response.ResponseData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.ArrayList;
import java.util.List;

@RequestMapping("/ws")
@Controller
public class WsController {

    @Autowired
    WsMapper wsMapper;

    @RequestMapping("/init")
    @ResponseBody
    public ResponseData init(){
       ShiroUser user =  ShiroKit.getUser();
       Long userId =  user.getId();
       Long deptId = user.getDeptId();
       LayimUser mine = wsMapper.getMine(userId);
       LayimFriend friend = new LayimFriend();friend.setList(wsMapper.getFriends(userId,deptId));
       List<LayimFriend> friends = new ArrayList<>();friends.add(friend);
       LayimInit init = new LayimInit(mine,friends,null);
       return ResponseData.success(0,"",init);
    }
}
