package com.dd.admin.business.webSocket.util;

import cn.stylefeng.guns.core.websocket.model.SocketMsg;
import com.alibaba.fastjson.JSON;
import org.tio.core.ChannelContext;
import org.tio.core.Tio;
import org.tio.websocket.common.WsResponse;

public class TioUtil {


    /**
     * 快速生成WsResponse
     * @param action
     * @param body
     * @return
     */
    public static WsResponse madeWsResponse(String hanlderType, Object body){
        SocketMsg msg = new SocketMsg(hanlderType,body);
        String reponseMsg = JSON.toJSONString(msg);
        return WsResponse.fromText(reponseMsg,"utf-8");
    }

    public static boolean sendMessage(ChannelContext con, String hanlderType, Object body){
        WsResponse weResponse = madeWsResponse(hanlderType,body);
        return Tio.send(con,weResponse);
    }
}
